Subject: RE: [Diffserv] Re: questions on draft-ietf-l2tpext-ds-03.txt

From: Shahram Davari <[email-masked]>
Date: Fri, 9 Mar 2001 06:15:12 -0800

Hi,

The l2tpext draft is correctly using RFC2836. It says:

  "If the DS value comprises a single PHB, the encoding for the DS is
   the encoding for this single PHB.  It is the recommended DSCP value
   for that PHB, left-justified in the 16-bit field, with bits 6 through
   15 set to zero."

Yours,
-Shahram

> -----Original Message-----
> From: Wei Luo [mailto:[email-masked]]
> Sent: Friday, March 09, 2001 12:06 AM
> To: Hari Kishan Desineni
> Cc: Glen Zorn; [email-masked]; Danny McPherson;
> [email-masked]; l2tp; [email-masked]
> Subject: [Diffserv] Re: questions on draft-ietf-l2tpext-ds-03.txt
> 
> 
> Please read the first paragraph of section 8 very carefully:
> 
>    The DS value is a left-justified 16-bit field using Per 
> Hop Behavior
>    (PHB) encoding defined in [RFC 2836].  Note that [RFC 2836] and its
>    successor is the ultimate authority defining PHB encoding, and
>                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>    governs if there is any conflict between it and the text reproduced
>    in this section.
> 
> L2TP DS encoding *does* use RFC 2836 PHB encoding.
> 
> Thanks,
> 
> ---Wei
> 
> On Thu, 8 Mar 2001, Hari Kishan Desineni wrote:
> 
> > 
> > RFC 2836 says " For PHBs defined by standards action, as 
> per [RFC 2474],
> > the recommended DSCP values must be used, even if  the 
> network in question
> > has
> >  chosen a different mapping"
> > 
> > But  draft-ietf-l2tpext-ds-03.txt, section 8 on DS Value 
> encoding did not
> > enforce
> > the same ( I found the above stmt from RFC2836 is missing 
> in this draft).
> > 
> >  Doesn't it mean that the encoding given in this draft 
> differs from the
> > RFC2836
> >  with no strict rule to use the recommended dscp values??
> > 
> > Why can't we have the same rfc2836 PHB encoding  system for L2TP PHB
> > negotiation ??
> > 
> > 
> > 
> > Hari Kishan Desineni,
> > S/w Engineer,Ericsson,
> > 70, Castilian Drive,
> > Santa barbara, CA - 93117
> > 805 562 6419 (office)
> > 805 968 1894 (home)
> > ----- Original Message -----
> > From: "Wei Luo" <[email-masked]>
> > To: "Glen Zorn" <[email-masked]>
> > Cc: <[email-masked]>; "Danny McPherson" 
> <[email-masked]>;
> > <[email-masked]>; "l2tp" <[email-masked]>
> > Sent: Monday, March 05, 2001 11:25 AM
> > Subject: Re: questions on draft-ietf-l2tpext-ds-03.txt
> > 
> > 
> > >
> > >
> > > On Sat, 3 Mar 2001, Glen Zorn wrote:
> > >
> > > > 1) Why is the DS value left-justified?
> > >
> > > The DS value uses PHB encoding defined in RFC 2836, which is
> > > left-justified.
> > >
> > > > 2) Maybe this draft and section 5.11 of 
> draft-zorn-rfc2868bis-00.txt
> > should
> > > > be rationalized?
> > >
> > > It would certainly be beneficial.  One of significant 
> changes made in the
> > > -03 draft is to use PHB encoding instead of DSCP encoding 
> as defined in
> > > -02 draft.  This was an consensus from last IETF at San Diego.
> > >
> > > Section 5.11 of draft-zorn-rfc2868bis-00.txt seems to be 
> a new addition
> > > from RFC 2868, and uses DSCP for signaling, maybe it's based on
> > > -ds-02.txt?  I'd suggest either to change Section 5.11 to use PHB
> > > encoding, or to add a new one for PHB.  The former would 
> be trivial and
> > > better.
> > >
> > > ---Wei
> > >
> > >
> > 
> > 
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: 
> http://www2.ietf.org/mail-archive/working-groups/diffserv/curr
ent/maillist.html

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html